#ifndef _UI_H_
#define _UI_H_

#include <stdint.h>

#define UI_CHAR_BLOCK       (127)
#define UI_CHAR_ARROW_UP    (128)
#define UI_CHAR_ARROW_DOWN  (129)
#define UI_CHAR_ARROW_LEFT  (130)
#define UI_CHAR_ARROW_RIGHT (131)
#define UI_CHAR_TICK        (132)
#define UI_CHAR_CROSS       (133)
#define UI_CHAR_FIRE        (134)

// Draw a character at a particular X/Y coordinate. X and Y are updated by the function.
void ui_put_char(uint8_t* x, uint8_t* y, char c);

// Draw a string on the screen at a particular X/Y coordinate. X and Y are updated by the function.
void ui_put_string(uint8_t* x, uint8_t* y, const char* s);

// Draw a string stored in ROM on the screen at a particular X/Y coordinate. X and Y are updated by the function.
void ui_put_string_P(uint8_t* x, uint8_t* y, const char* s);

// Measures the width of a string stored in ROM.
uint8_t ui_measure_string_width_P(const char* s);

void ui_put_wrapped_string_P(uint8_t* x, uint8_t* y, const char* s, uint8_t width, uint8_t line_height);

#endif